Čeština / English
Login

Návody / QDevKit - binární instalátory

Autor: Michal Bidlo ()
Update: 29.10.2011

Balíčky již nejsou nadále udržovány a je velice pravděpodobné, že nebudou pracovat korektně. Pokud chcete používat FITkit pod Linuxem, přeložte si jej prosím ze zdrojových kódů.

1. Úvod

V současné době jsou podporovány pouze binární balíčky, které obsahují vše potřebné pro spuštění QDevKitu a souvisejících nástrojů na většině moderních distribucí linuxu. Víme o problému segmentation fault, který se vyskytuje na některých distribucích včetně aktuální verze Ubuntu. Do doby jeho vyřešení prozatím nabízíme i starší verzi QDevKitu z roku 2010, která by měla fungovat bez problémů (neobsahuje však podporu pro simulátor Xilinx ISIM, vzdálený překlad nebo tunelování licencí).

2. Binární instalátor QDevKit-tools (i386, amd64) - verze 2011

Tento samorozbalovací archiv zahrnující nástroje fcmake, qdevkit a fkflash s potřebnými knihovnami a pluginy lze využít tehdy, pokud nechcete instalovat software překladem ze zdrojových kódů. Po stažení archivu se přihlaste jako root (v Ubuntu otevřete konzoli a přes sudo sh po zadání hesla získáte potřebná práva), spusťte archiv a řiďte se pokyny instalátoru.

Instalátory:

Postup instalace

  1. Instalaci je nutné provádět po přihlášení jako root. V případě distribuce Ubuntu spusťte konzoli a zadejte

    sudo sh
  2. Stáhněte si příslušný instalátor (architekturu lze zjistit pomocí uname -m)

    wget http://merlin.fit.vutbr.cz/FITkit/download/QDevKit-tools_i386.sh

    případně

    wget http://merlin.fit.vutbr.cz/FITkit/download/QDevKit-tools_amd64.sh
  3. Spusťte archiv a řiďte se pokyny instalátoru

    sh QDevKit-tools_i386.sh

    případně

    sh QDevKit-tools_amd64.sh
  4. Nainstalujte prostředky pro MSP430 (viz návod), pro syntézu VHDL potřebujete též nástroj Xilinx ISE. Poté již můžete vyzkoušet vzorové aplikace pro FITkit.

Samorozbalovací archivy udržuje Michal Bidlo (bidlom AT fit.vutbr.cz).

3. Starší verze QDevKit-tools (i386, amd64) - verze 2010

Pokud máte problémy s aktuální verzí QDevKit-tools 2011, můžete použít starší instalátor z roku 2010, který poskytuje v plném rozsahu základní funkcionalitu pro práci s FITkitem. Postup instalace je stejný, jak je uvedeno výše.

Instalátory QDevKit2010 (bez podpory simulátoru Xilinx ISIM, vzdáleného překladu a tunelování licencí):

Zobrazeno: 2012x Naposledy: 27.5.2017 20:02:43